import http from './http'
// 
/**
 *  @parms resquest 请求地址 例如：http://197.82.15.15:8088/request/...
 *  @param '/testIp'代表vue-cil中config，index.js中配置的代理
 */
// let resquest = "https://www.buwanjia.com"
// let resquest = "/apis"

let resquest = process.env.NODE_ENV === 'production' ? '':'/apis'

export default {
    loginCode(params) {
        return http.post(`${resquest}/yos/rest/index/getpassword`, params)
    },
    login(params) {
        return http.post(`${resquest}/yos/rest/index/login`, params)
    },
    loginbyaccount (params) {
        return http.post(`${resquest}/yos/rest/index/loginbyaccount`, params)
    },
    requested(params) {
        return http.post(`${resquest}/yos/rest/index`, params)
    },
    
}